#
# Conditional build:
%bcond_without	ffmpeg	# fpcalc build + libchromaprint using avfft
%bcond_with	fftw3	# libchromaprint using fftw3 instead of avfft
#
%if %{without ffmpeg}
%define	with_fftw3	1
%endif
Summary:	Library implementing the AcoustID fingerprinting
Summary(pl.UTF-8):	Biblioteka implementująca odciski AcoustID
Name:		chromaprint
Version:	1.5.1
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/acoustid/chromaprint/releases
Source0:	https://github.com/acoustid/chromaprint/releases/download/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	54e71f86bcf1d34989db639044ba9628
URL:		https://acoustid.org/chromaprint
BuildRequires:	cmake >= 3.3
%{?with_ffmpeg:BuildRequires:	ffmpeg-devel >= 0.6}
%{?with_fftw3:BuildRequires:	fftw3-devel >= 3}
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	taglib-devel
Requires:	libchromaprint = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Chromaprint library is the core component of the AcoustID project.
It's a client-side library that implements a custom algorithm for
extracting fingerprints from raw audio sources.

The library exposes a simple C API and the Python language binding is
also available. The documentation for the C API can be found in the
main header file.

%description -l pl.UTF-8
Biblioteka Chromaprint to główny element projektu AcoustID. Jest to
biblioteka kliencka implementująca własny algorytm wydobywania
odcisków identyfikacyjnych z surowych strumieni dźwiękowych.

Biblioteka udostępnia proste API C. Dostępne są także wiązania dla
Pythona. Dokumentację dla API C można znaleźć w głównym pliku
nagłówkowym.

%package -n libchromaprint
Summary:	Library implementing the AcoustID fingerprinting
Summary(pl.UTF-8):	Biblioteka implementująca odciski AcoustID
Group:		Libraries

%description -n libchromaprint
Chromaprint library is the core component of the AcoustID project.
It's a client-side library that implements a custom algorithm for
extracting fingerprints from raw audio sources.

The library exposes a simple C API and the Python language binding
is also available. The documentation for the C API can be found in the
main header file.

%description -n libchromaprint -l pl.UTF-8
Biblioteka Chromaprint to główny element projektu AcoustID. Jest to
biblioteka kliencka implementująca własny algorytm wydobywania
odcisków identyfikacyjnych z surowych strumieni dźwiękowych.

Biblioteka udostępnia proste API C. Dostępne są także wiązania dla
Pythona. Dokumentację dla API C można znaleźć w głównym pliku
nagłówkowym.

%package -n libchromaprint-devel
Summary:	Headers for developing programs that will use libchromaprint
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia programów wykorzystujących libchromaprint
Group:		Development/Libraries
Requires:	libchromaprint = %{version}-%{release}

%description -n libchromaprint-devel
This package contains the headers that programmers will need to
develop applications which will use libchromaprint.

%description -n libchromaprint-devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne programistom do
tworzenia aplikacji wykorzystujących bibliotekę libchromaprint.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	%{?with_ffmpeg:-DBUILD_TOOLS=ON} \
	%{!?with_fftw3:-DWITH_AVFFT=ON} \
	%{?with_fftw3:-DWITH_FFTW3=ON}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm  -rf $RPM_BUILD_ROOT

%post	-n libchromaprint -p /sbin/ldconfig
%postun	-n libchromaprint -p /sbin/ldconfig

%if %{with ffmpeg}
%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/fpcalc
%endif

%files -n libchromaprint
%defattr(644,root,root,755)
%doc NEWS.txt README.md
%attr(755,root,root) %{_libdir}/libchromaprint.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libchromaprint.so.1

%files -n libchromaprint-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libchromaprint.so
%{_includedir}/chromaprint.h
%{_pkgconfigdir}/libchromaprint.pc
%changelog
* Fri Jan 28 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/chromaprint.git;a=log;h=master

* Fri Jan 28 2022 Jakub Bogusz <qboosh@pld-linux.org> bfa832a
- updated to 1.5.1

* Mon Jul 06 2020 Jakub Bogusz <qboosh@pld-linux.org> 6142e94
- updated to 1.5.0

* Mon Jul 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 60b4586
- new Source URL, updated to 1.4.3

* Tue Apr 02 2019 Jan Rękorajski <baggins@pld-linux.org> 1e07c44
- release 5 (by relup.sh)

* Sat Apr 28 2018 Jan Rękorajski <baggins@pld-linux.org> 33362ff
- rel 4

* Thu Apr 26 2018 Jan Rękorajski <baggins@pld-linux.org> 091e296
- rel 3.1

* Wed Mar 07 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3478914
- release 3 (by relup.sh)

* Mon Dec 25 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 587b959
- release 2 (by relup.sh)

* Tue May 09 2017 Jakub Bogusz <qboosh@pld-linux.org> e281636
- updated to 1.4.2

* Sat Feb 25 2017 Marcin Banasiak <marcin.banasiak@gmail.com> fba4141
- release 3 (by relup.sh)

* Tue Mar 15 2016 Jan Rękorajski <baggins@pld-linux.org> 458a058
- release 2 (by relup.sh)

* Sun Feb 21 2016 Jakub Bogusz <qboosh@pld-linux.org> 3c0e706
- updated to 1.3.1 (note: new soname)
- added bconds to build without ffmpeg

* Thu Oct 15 2015 Jakub Bogusz <qboosh@pld-linux.org> dd097da
- new URLs, updated to 1.2
- removed obsolete ffmpeg patches

* Fri Mar 13 2015 Jan Rękorajski <baggins@pld-linux.org> a26d975
- release 6 (by relup.sh)

* Tue Oct 07 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 654e3b1
- release 5 (by relup.sh)

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> 44d97bc
- release 4 (by relup.sh)

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> d8aa2c1
- more ffmpeg2 fixes

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> 0492623
- fix build with ffmpeg 2

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 65270d7
- release 3 (by relup.sh)

* Thu Nov 08 2012 Jan Rękorajski <baggins@pld-linux.org> 51ca110
- rel 2

